View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001643aMuleMiscpublic2010-12-22 23:062011-04-12 21:02
Reporterghostdog 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionunable to reproduce 
PlatformOSOS Version
Product Version2.2.6 
Target VersionFixed in Version 
Summary0001643: aMule crashes with "CAUGHT DEAD SOCKET IN SENDPACKET()
DescriptionUbuntu 10.10

amule:
  Installato: 2.2.6+debian0-8ubuntu1
  Candidato: 2.2.6+debian0-8ubuntu1
  Tabella versione:
 *** 2.2.6+debian0-8ubuntu1 0
        500 http://it.archive.ubuntu.com/ubuntu/ [^] maverick/universe i386 Packages
        100 /var/lib/dpkg/status

after some time amule crash with this output

CAUGHT DEAD SOCKET IN SENDPACKET()
kill

often crash with only

kill

output

Additional Informationi use a normal band , number of connection and other option, the same i ever used

here bug open on launchpad

https://bugs.launchpad.net/ubuntu/+source/amule/+bug/692592 [^]
TagsNo tags attached.
Fixed in Revision
Operating Systemubuntu GNU/Linux
Attached Files

- Relationships

-  Notes
(0003516)
mule270027 (reporter)
2011-01-01 11:23

I have the same problem. Here is the console output :

Initialising aMule 2.2.6 using wxGTK2 v2.8.11
Checking if there is an instance already running...
No other instances are running.
ListenSocket: Ok.
HTTP download thread started

(amule:4033): Gtk-CRITICAL **: IA__gtk_container_remove: assertion `GTK_IS_CONTAINER (container)' failed

(amule:4033): Gtk-CRITICAL **: IA__gtk_container_remove: assertion `GTK_IS_CONTAINER (container)' failed
Loading temp files from /home/christian/.aMule/Temp.
Loading PartFile 9 of 54: ERROR: Failed to load PartFile '009.part.met'
Loading PartFile 10 of 54: WARNING: Duplicate partfile with hash '63A0238C745728CDB9E6ACD74413612B' found, skipping: 010.part.met
Loading PartFile 22 of 54: WARNING: Duplicate partfile with hash 'D2A6B930AE8E8513254B5B5CAE635250' found, skipping: 023.part.met
Loading PartFile 38 of 54: WARNING: Duplicate partfile with hash '63A0238C745728CDB9E6ACD74413612B' found, skipping: 041.part.met
Loading PartFile 54 of 54
All PartFiles Loaded.
Adding file /home/christian/.aMule/Temp/032.part.met to shares
Adding file /home/christian/.aMule/Temp/033.part.met to shares
Adding file /home/christian/.aMule/Temp/034.part.met to shares
Adding file /home/christian/.aMule/Temp/038.part.met to shares
Adding file /home/christian/.aMule/Temp/042.part.met to shares
Adding file /home/christian/.aMule/Temp/044.part.met to shares
Adding file /home/christian/.aMule/Temp/045.part.met to shares
Adding file /home/christian/.aMule/Temp/047.part.met to shares
Adding file /home/christian/.aMule/Temp/050.part.met to shares
Adding file /home/christian/.aMule/Temp/051.part.met to shares
Adding file /home/christian/.aMule/Temp/052.part.met to shares
Adding file /home/christian/.aMule/Temp/054.part.met to shares
Adding file /home/christian/.aMule/Temp/059.part.met to shares
Adding file /home/christian/.aMule/Temp/063.part.met to shares
Adding file /home/christian/.aMule/Temp/066.part.met to shares
Adding file /home/christian/.aMule/Temp/068.part.met to shares
Adding file /home/christian/.aMule/Temp/001.part.met to shares
Adding file /home/christian/.aMule/Temp/002.part.met to shares
Adding file /home/christian/.aMule/Temp/003.part.met to shares
Adding file /home/christian/.aMule/Temp/004.part.met to shares
Adding file /home/christian/.aMule/Temp/005.part.met to shares
Adding file /home/christian/.aMule/Temp/007.part.met to shares
Adding file /home/christian/.aMule/Temp/008.part.met to shares
Adding file /home/christian/.aMule/Temp/012.part.met to shares
Adding file /home/christian/.aMule/Temp/013.part.met to shares
Adding file /home/christian/.aMule/Temp/014.part.met to shares
Adding file /home/christian/.aMule/Temp/015.part.met to shares
Adding file /home/christian/.aMule/Temp/016.part.met to shares
Adding file /home/christian/.aMule/Temp/017.part.met to shares
Adding file /home/christian/.aMule/Temp/018.part.met to shares
Adding file /home/christian/.aMule/Temp/020.part.met to shares
Adding file /home/christian/.aMule/Temp/021.part.met to shares
Adding file /home/christian/.aMule/Temp/022.part.met to shares
Adding file /home/christian/.aMule/Temp/025.part.met to shares
Adding file /home/christian/.aMule/Temp/026.part.met to shares
Adding file /home/christian/.aMule/Temp/029.part.met to shares
Adding file /home/christian/.aMule/Temp/031.part.met to shares
Host: amule.sourceforge.net:80
URL: http://amule.sourceforge.net/lastversion [^]
Response: 200 (Error: 0)
Download size: 6
HTTP download thread ended
CAUGHT DEAD SOCKET IN SENDPACKET()
CAUGHT DEAD SOCKET IN SENDPACKET()
CAUGHT DEAD SOCKET IN SENDPACKET()
CAUGHT DEAD SOCKET IN SENDPACKET()
CAUGHT DEAD SOCKET IN SENDPACKET()
CAUGHT DEAD SOCKET IN SENDPACKET()
CAUGHT DEAD SOCKET IN SENDPACKET()
CAUGHT DEAD SOCKET IN SENDPACKET()
CAUGHT DEAD SOCKET IN SENDPACKET()
CAUGHT DEAD SOCKET IN SENDPACKET()

Terminated after throwing an instance of 'std::bad_alloc'
    what(): std::bad_alloc
Abandon
(0003544)
sturedman (developer)
2011-03-09 15:20

Please try if the wx patch here fixes the problem:
http://forum.amule.org/index.php?topic=18543.0 [^]
(0003552)
sturedman (developer)
2011-04-12 21:02

No response, closed.

- Issue History
Date Modified Username Field Change
2010-12-22 23:06 ghostdog New Issue
2010-12-22 23:06 ghostdog Operating System => ubuntu GNU/Linux
2011-01-01 11:23 mule270027 Note Added: 0003516
2011-03-09 15:20 sturedman Note Added: 0003544
2011-04-12 21:02 sturedman Note Added: 0003552
2011-04-12 21:02 sturedman Status new => closed
2011-04-12 21:02 sturedman Resolution open => unable to reproduce


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker